library(foreach)
a <- 10
foreach(i = 1 : 12, j = 12 : 1, .combine = rbind) %dopar%{
    Sys.sleep(0.5)
    print(paste("i = ", i, ", j = ", j, sep = ""))
    data.frame(i, j, a)
}

library(doParallel)
registerDoParallel()
foreach(i = 1 : 12, j = 12 : 1, .combine = rbind) %dopar%{
    Sys.sleep(0.5)
    print(paste("i = ", i, ", j = ", j, sep = ""))    # where is my output?
    data.frame(i, j, a)
} 

system.time(
    foreach(i = 1 : 12, j = 12 : 1, .combine = rbind) %dopar%{
        Sys.sleep(0.5)
        print(paste("i = ", i, ", j = ", j, sep = ""))
        data.frame(i, j, a)
    } 
)

library(doFuture)
registerDoFuture()
plan(cluster)
foreach(i = 1 : 12, j = 12 : 1, .combine = rbind) %dopar%{
    Sys.sleep(0.5)
    print(paste("i = ", i, ", j = ", j, sep = ""))    # output is relayed back with future backend
    data.frame(i, j, a)
} 